BrowserCompatSpec (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.cookie
Class BrowserCompatSpec

    java.lang.Object
      org.apache.http.impl.cookie.AbstractCookieSpec
          org.apache.http.impl.cookie.CookieSpecBase
              org.apache.http.impl.cookie.BrowserCompatSpec

All Implemented Interfaces:
  CookieSpec

Deprecated. (4.4) use `DefaultCookieSpec`.

    @Deprecated
    @Contract(threading=SAFE)
    public class BrowserCompatSpec

extends CookieSpecBase

Cookie specification that strives to closely mimic (mis)behavior of common web browser applications such as Microsoft Internet Explorer and Mozilla FireFox.

Since:
  4.0

Constructor Summary
`BrowserCompatSpec()` Deprecated. Default constructor
`BrowserCompatSpec(String[] datepatterns)` Deprecated. Default constructor
`BrowserCompatSpec(String[] datepatterns, BrowserCompatSpecFactory.SecurityLevel securityLevel)` Deprecated. Default constructor

Method Summary
`List<org.apache.http.Header>` | `formatCookies(List<Cookie> cookies)` Deprecated. Create `"Cookie"` headers for an array of Cookies.
`int` | `getVersion()` Deprecated. Returns version of the state management this cookie specification conforms to.
`org.apache.http.Header` | `getVersionHeader()` Deprecated. Returns a request header identifying what version of the state management specification is understood.
`List<Cookie>` | `parse(org.apache.http.Header header, CookieOrigin origin)` Deprecated. Parse the `"Set-Cookie"` Header into an array of Cookies.
`String` | `toString()` Deprecated.

Methods inherited from class org.apache.http.impl.cookie.CookieSpecBase
`getDefaultDomain, getDefaultPath, match, parse, validate`

Methods inherited from class org.apache.http.impl.cookie.AbstractCookieSpec
`findAttribHandler, getAttribHandler, getAttribHandlers, registerAttribHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BrowserCompatSpec

    public BrowserCompatSpec(String[] datepatterns,
                             BrowserCompatSpecFactory.SecurityLevel securityLevel)

  Deprecated.
  Default constructor

### BrowserCompatSpec

    public BrowserCompatSpec(String[] datepatterns)

  Deprecated.
  Default constructor

### BrowserCompatSpec

    public BrowserCompatSpec()

  Deprecated.
  Default constructor

Method Detail

### parse

    public List<Cookie> parse(org.apache.http.Header header,
                              CookieOrigin origin)
                       throws MalformedCookieException

  Deprecated.
  Description copied from interface: `CookieSpec`
  Parse the `"Set-Cookie"` Header into an array of Cookies.

  This method will not perform the validation of the resultant `Cookie`s

  Parameters:
    `header` - the `Set-Cookie` received from the server
    `origin` - details of the cookie origin
  Returns:
    an array of `Cookie`s parsed from the header
  Throws:
    `MalformedCookieException` - if an exception occurs during parsing
  See Also:
    `CookieSpec.validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)`

### formatCookies

    public List<org.apache.http.Header> formatCookies(List<Cookie> cookies)

  Deprecated.
  Description copied from interface: `CookieSpec`
  Create `"Cookie"` headers for an array of Cookies.

  Parameters:
    `cookies` - the Cookies format into a Cookie header
  Returns:
    a Header for the given Cookies.

### getVersion

    public int getVersion()

  Deprecated.
  Description copied from interface: `CookieSpec`
  Returns version of the state management this cookie specification conforms to.

  Returns:
    version of the state management specification

### getVersionHeader

    public org.apache.http.Header getVersionHeader()

  Deprecated.
  Description copied from interface: `CookieSpec`
  Returns a request header identifying what version of the state management specification is understood. May be `null` if the cookie specification does not support `Cookie2` header.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.